Debian Bug report logs - #386323
ntpdate: no documentation or examples for configuration file

version graph

Package: ntpdate; Maintainer for ntpdate is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntpdate is src:ntp.

Reported by: Jon Dowland <bugs@alcopop.org>

Date: Wed, 6 Sep 2006 19:33:08 UTC

Severity: normal

Found in version ntp/1:4.2.2+dfsg.2-1

Fixed in version ntp/1:4.2.2+dfsg.2-2

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#386323; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <bugs@alcopop.org>:
New Bug report received and forwarded. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jon Dowland <bugs@alcopop.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ntpdate: no documentation or examples for configuration file
Date: Wed, 6 Sep 2006 20:05:32 +0100
[Message part 1 (text/plain, inline)]
Package: ntpdate
Version: 1:4.2.2+dfsg.2-1
Severity: normal

Hi,

Parsing /etc/ntp.conf seems like a great idea, although
ideally the ntpdate package would either provide that file,
or depend on a package which did, or at least offer some
idea of the file's syntax. I realise it's not complex (I
just put "server pool.ntp.org" into the file to get things
working) but if you aren't familiar with it...

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages ntpdate depends on:
ii  libc6                         2.3.6-15   GNU C Library: Shared libraries
ii  libcap1                       1:1.10-14  support for getting/setting POSIX.
ii  libssl0.9.8                   0.9.8b-2   SSL shared libraries
ii  lsb-base                      3.1-10     Linux Standard Base 3.1 init scrip
ii  netbase                       4.25       Basic TCP/IP networking system

ntpdate recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#386323; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 386323@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Jon Dowland <bugs@alcopop.org>, 386323@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#386323: ntpdate: no documentation or examples for configuration file
Date: Wed, 6 Sep 2006 21:53:55 +0200
On Wed, Sep 06, 2006 at 08:05:32PM +0100, Jon Dowland wrote:
> 
> Hi,
> 
> Parsing /etc/ntp.conf seems like a great idea, although
> ideally the ntpdate package would either provide that file,
> or depend on a package which did, or at least offer some
> idea of the file's syntax. I realise it's not complex (I
> just put "server pool.ntp.org" into the file to get things
> working) but if you aren't familiar with it...

Why do you want to create an ntp.conf file, if you don't run ntpd?  The
ntpdate init script does have defaults, falling back to:
0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org

You can also override that in /etc/default/ntpdate, it is a config file.

Maybe you should try and explain what your problem is.


Kurt




Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jon Dowland <bugs@alcopop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 386323-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 386323-close@bugs.debian.org
Subject: Bug#386323: fixed in ntp 1:4.2.2+dfsg.2-2
Date: Sat, 16 Sep 2006 09:23:37 -0700
Source: ntp
Source-Version: 1:4.2.2+dfsg.2-2

We believe that the bug you reported is fixed in the latest version of
ntp, which is due to be installed in the Debian FTP archive:

ntp-doc_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-doc_4.2.2+dfsg.2-2_all.deb
ntp-refclock_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-refclock_4.2.2+dfsg.2-2_all.deb
ntp-simple_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-simple_4.2.2+dfsg.2-2_all.deb
ntp_4.2.2+dfsg.2-2.diff.gz
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.diff.gz
ntp_4.2.2+dfsg.2-2.dsc
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.dsc
ntp_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2_i386.deb
ntpdate_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntpdate_4.2.2+dfsg.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386323@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated ntp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 11:24:09 +0200
Source: ntp
Binary: ntp-simple ntp-refclock ntp-doc ntpdate ntp
Architecture: source all i386
Version: 1:4.2.2+dfsg.2-2
Distribution: unstable
Urgency: medium
Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 ntp        - Network Time Protocol daemon and utility programs
 ntp-doc    - Network Time Protocol documentation
 ntp-refclock - transition package
 ntp-simple - transition package
 ntpdate    - client for setting system time from NTP servers
Closes: 56499 245338 305864 312576 321759 375280 382311 382543 383212 383666 384857 386323 387002
Changes: 
 ntp (1:4.2.2+dfsg.2-2) unstable; urgency=medium
 .
   [ Branden Robinson ]
   * Soften ntp binary package's Conflicts and Replaces relationships with
     ntp-{refclock,server,simple} so that they are unversioned; a versioning
     expression is unnecessary as none of these exist now as dummy packages
     (and do not need to, as all depended directly or transitively on ntp
     itself).  State that ntp Provides the three merged packages, so that
     packages depending on them are not spuriously blocked from upgrading
     before their dependencies are manually changed. (closes: #383212)
 .
   [ Peter Eisentraut ]
   * Updated README.Debian's and package descriptions, reflecting that
     ntpdate is no longer necessary when ntp is installed
   * npdate is no longer started from an init script but instead by ifup
     (closes: #56499, #245338, #312576)
   * Run ntpdate from ifup in the background (closes: #321759, #375280,
     #382543)
   * Cleaned out package relationships with long-obsolete packages
   * Updated standards version
   * Also parse peer lines in ntp.conf from ntpdate.default (closes: #382311)
   * Added pointer in ntpdate.default where to find ntp.conf (closes: #386323)
   * Updated logcheck rules (closes: #305864)
 .
   [ Julien BLACHE ]
   * debian/control:
     + Add ntp-refclock and ntp-simple transition packages (closes: #384857).
   * debian/ntp.init:
     + Remove adduser call from initscript (closes: #383666).
 .
   [ Petter Reinholdtsen ]
   * Fixed init script LSB header dependency information (closes: #387002)
Files: 
 9553a9b41ba5f5c3ba174ac5592efc1b 841 net optional ntp_4.2.2+dfsg.2-2.dsc
 6b9241afc047363e3bcf11b25af4e561 173994 net optional ntp_4.2.2+dfsg.2-2.diff.gz
 f986aa4ae857f41a6bce469feed07815 891756 doc optional ntp-doc_4.2.2+dfsg.2-2_all.deb
 c44b4f1dadf7ed82bc43ffdc34068c83 27128 net optional ntp-simple_4.2.2+dfsg.2-2_all.deb
 1fefd26e9fc228e9e6d6c6e39f64c4ee 27130 net optional ntp-refclock_4.2.2+dfsg.2-2_all.deb
 f2fc5f5531c9c76187510f94de6d0b11 321010 net optional ntp_4.2.2+dfsg.2-2_i386.deb
 0ff308d22b0dda454023610ce77e7520 55902 net optional ntpdate_4.2.2+dfsg.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCnPCTTx8oVVPtMYRAoMkAJ9matJyyhGLgERFVxqvfmSka+TWLQCdE0fX
o7h51A6c/UagHkuditkDyEM=
=uO5N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:06:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:51:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.